Bug 1303599 - The python3-solv RPM requires both Python 2 and Python 3.
The python3-solv RPM requires both Python 2 and Python 3.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libsolv (Show other bugs)
24
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2016-02-01 07:13 EST by Charalampos Stratakis
Modified: 2016-04-09 05:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-09 05:43:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charalampos Stratakis 2016-02-01 07:13:19 EST
The python3-solv RPM requires both Python 2 and Python 3.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. This is a packaging error:  a stray "/usr/bin/python" shebang in an example file: /usr/share/doc/python3-solv/pysolv.

Please remove the stray dependency.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!
Comment 1 Charalampos Stratakis 2016-02-24 06:59:25 EST
Ping?

Any update on that?
Comment 2 Jan Kurik 2016-02-24 10:39:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Igor Gnatenko 2016-04-09 05:43:03 EDT
now we don't ship any docs like pysolv for quite some time, so closing this. (at least for f24+)

Thanks for notification!

Note You need to log in before you can comment on or make changes to this bug.